Page MenuHomePhabricator

Japanese text disappears (kanji and maybe hiragana, not katakana) when you are writing list entries
Closed, ResolvedPublic1 Story Points

Description

Original report from MediaWiki.org: from a logged-out editor, on 4 December 2014:

"I just tried to add list items in Japanese. Katakana seemed ok in lists but kanji and maybe hiragana too seemed to delete automatically when pressing enter to go to the next list item."

I believe that this is different from T74619 in which katakana can't be typed at all.

Event Timeline

Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF added a project: VisualEditor.
Whatamidoing-WMF changed Security from none to None.
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Byfserag triaged this task as High priority.Dec 10 2014, 9:47 AM
Byfserag added a subscriber: Byfserag.

Confirmed in production. Somehow all works in betalbs and test2.

This issue is most likely the same bug as T74619.

Jdforrester-WMF lowered the priority of this task from High to Normal.Jan 9 2015, 10:55 PM
Jdforrester-WMF closed this task as Resolved.Jul 3 2015, 4:34 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

As far as I can tell, this issue and other Japanese text entry issues are all now fixed. Sorry it took so long to confirm!